<mat-accordion>
  <mat-expansion-panel>
    <mat-expansion-panel-header>
      <h2>Recorded games</h2>
    </mat-expansion-panel-header>

    <mat-table #table [dataSource]="dataSource" matSort>
      <ng-container matColumnDef="player1">
        <mat-header-cell *matHeaderCellDef mat-sort-header>Player 1</mat-header-cell>
        <mat-cell *matCellDef="let element">{{element.player1}}</mat-cell>
      </ng-container>
      <ng-container matColumnDef="player2">
        <mat-header-cell *matHeaderCellDef mat-sort-header>Player 2</mat-header-cell>
        <mat-cell *matCellDef="let element">{{element.player2}}</mat-cell>
      </ng-container>
      <ng-container matColumnDef="score">
        <mat-header-cell *matHeaderCellDef>Score</mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.score1}} - {{element.score2}}</mat-cell>
      </ng-container>
      <ng-container matColumnDef="date">
        <mat-header-cell *matHeaderCellDef mat-sort-header>Date</mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.date | date}}</mat-cell>
      </ng-container>

      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>
  </mat-expansion-panel>
</mat-accordion>